
// oel - An effects library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef OEL_CLIP_H_
#define OEL_CLIP_H_

#include <openeffectslib/fx/n_operator.hpp>
#include <openeffectslib/fx/playable.hpp>

namespace olib { namespace openeffectslib { namespace fx {

class clip : public playable
{
public:
	virtual ~clip( ) { }
	virtual bool set_playable( n_operator_ptr ) = 0;
	virtual int in( ) const = 0;
	virtual int out( ) const = 0;
	virtual void set_in( int ) = 0;
	virtual void set_out( int ) = 0;
	virtual int source_length( ) const = 0;
};

inline clip *make_clip( n_operator_ptr op )
{ return dynamic_cast< clip * >( op.get( ) ); }

} } }

#endif
