
// fx - A compositing library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef OPENEFFECTSLIB_PLUGIN_INC_
#define OPENEFFECTSLIB_PLUGIN_INC_

#include <string>

#include <openeffectslib/fx/n_operator.hpp>

#include <openpluginlib/pl/openpluginlib.hpp>

namespace olib { namespace openeffectslib { namespace fx {

class FX_DECLSPEC openeffectslib_plugin : public olib::openpluginlib::openplugin
{
public:
	explicit openeffectslib_plugin( );
	virtual ~openeffectslib_plugin( );

public:
	virtual n_operator_ptr create( const std::wstring& options ) = 0;
};

} } }

#endif
