
// fx - A compositing library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef CONNECT_INC_
#define CONNECT_INC_

#include <openpluginlib/pl/string.hpp>

#include <openeffectslib/fx/n_operator.hpp>

namespace olib { namespace openeffectslib { namespace fx {

FX_DECLSPEC bool connect( n_operator_ptr op1, const openpluginlib::wstring& f1_name, n_operator_ptr op2, const openpluginlib::wstring& f2_name );
FX_DECLSPEC bool disconnect( n_operator_ptr op1, const openpluginlib::wstring& f1_name );

} } }

#endif
