
// il - A image library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef IL_INC_
#define IL_INC_

#ifdef HAVE_CONFIG_H
#include <openlibraries_global_config.hpp>
#endif

#include <string>

#include <openimagelib/il/config.hpp>
#include <openimagelib/il/basic_image.hpp>
#include <openimagelib/il/traits.hpp>
#include <openimagelib/il/utility.hpp>
#include <openimagelib/il/tonemap.hpp>

namespace olib { namespace openimagelib {

IL_DECLSPEC bool init( );
IL_DECLSPEC bool uninit( );

} }

#endif
