
// il - A image library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef OPENIMAGELIB_PLUGIN_INC_
#define OPENIMAGELIB_PLUGIN_INC_

#include <boost/filesystem/path.hpp>

#include <openimagelib/il/il.hpp>

#include <openpluginlib/pl/openpluginlib.hpp>

namespace olib { namespace openimagelib { namespace il {

struct IL_DECLSPEC openimagelib_plugin : public olib::openpluginlib::openplugin
{
	virtual image_type_ptr	load(  const boost::filesystem::path& path ) = 0;
	virtual bool			store( const boost::filesystem::path& path, const image_type_ptr& image ) = 0;
};

} } }

#endif
