
// ml - A media library representation.

// Copyright (C) 2005-2006 VM Inc.
// Released under the LGPL.
// For more information, see http://www.openlibraries.org.

#ifndef OPENMEDIALIB_UTILITIES_INC_
#define OPENMEDIALIB_UTILITIES_INC_

namespace olib { namespace openmedialib { namespace ml {

// Courtesy functions for quick input/output plugin look ups
ML_DECLSPEC input_type_ptr create_input( const openpluginlib::wstring & );
ML_DECLSPEC input_type_ptr create_input( const openpluginlib::string & );
ML_DECLSPEC store_type_ptr create_store( const openpluginlib::wstring &, frame_type_ptr );
ML_DECLSPEC store_type_ptr create_store( const openpluginlib::string &, frame_type_ptr );

} } }

#endif
